/**
 * Created by mingxindong@jianyi.tech on 2017/5/24.
 */
import { AfterViewInit } from "@angular/core";
import { AnimationEvent } from "@angular/animations";
import { Address, AreaItem, AreaParams } from "../../meta/select-area.meta";
import { ToolsService } from "../../service/tools.service";
import { DynamicComponentTransmitData } from "../../meta/dynamic-component.meta";
import { BrowserService } from "../../service/browser.service";
import { Scroll } from "../../meta/scroll.meta";
export declare class SelectAreaComponent implements AfterViewInit, DynamicComponentTransmitData<AreaParams> {
    private toolService;
    private browserService;
    constructor(toolService: ToolsService, browserService: BrowserService);
    show: boolean;
    areaParams: AreaParams;
    address: Address;
    provinceList: AreaItem[];
    cityList: AreaItem[];
    districtList: AreaItem[];
    provinceScroll: Scroll;
    cityScroll: Scroll;
    districtScroll: Scroll;
    scrollAnimation: boolean;
    filterCityList(code: string): void;
    filterDistrictList(code: string): void;
    scrollTo(data: AreaItem[], target: Scroll, code?: string): void;
    selectProvince(item: AreaItem): void;
    selectCity(item: AreaItem): void;
    selectArea(item: AreaItem): void;
    closed(event: AnimationEvent): void;
    close(): void;
    confirm(): void;
    ngAfterViewInit(): void;
    setTransmitData(areaParams: AreaParams): void;
}
