/**
 * Created by ouyangjingzhou@jianyi.tech on 2017/1/1.
 */
export interface FileUploadParams {
    url?: string;
    name?: string;
    body?: {
        [index: string]: any;
    };
    file: File;
    init: (data: InitData) => void;
    progress?: (event: ProgressEvent, data: ProgressData) => void;
    success: (event: Event, data: any) => void;
    error: (event: Event, data: any) => void;
    cancel?: (event: Event) => void;
    alwaysPrompt?: boolean;
    compress?: boolean;
}
export interface InitData {
    name: string;
    size: number;
    formatSize: string;
    type: string;
    postfix: string;
    start: () => void;
    cancel: () => void;
}
export interface ProgressData {
    percent: number;
    currentSpeed: string;
    loaded: string;
}
export interface ImportFile {
    fileId: string;
    end: () => void;
}
export interface FileInfo {
    fileId: string;
    fileName: string;
    fileExtName: string;
    contentType: string;
    fileLength: number;
    uploadTime: number;
}
