/**
 * Created by ouyangjingzhou@jianyi.tech on 2017/1/1.
 */
import { DisabledType } from "./disabled.meta";
import { HttpHeaders, HttpResponse } from "@angular/common/http";
import { HttpObserve } from "@angular/common/http/src/client";
/**
 * 匹配所有的业务异常
 */
export declare type ErrorCodeType = (code: string, message: string, data: any, response?: HttpResponse<any>, options?: HttpOptionsArgs) => void;
/**
 * 匹配固定的errorCode
 */
export declare type ErrorCodeMapType = {
    [index: string]: (message: string, data: any, response?: HttpResponse<any>, options?: HttpOptionsArgs) => void;
};
export declare type ResponseType = 'arraybuffer' | 'blob' | 'json' | 'text';
export declare type MethodType = 'get' | 'post' | 'delete' | 'put';
/**
 * http参数
 */
export interface HttpOptionsArgs {
    body?: any;
    headers?: HttpHeaders | {
        [header: string]: string | string[];
    };
    params?: any;
    observe?: HttpObserve;
    reportProgress?: boolean;
    responseType?: ResponseType;
    withCredentials?: boolean;
    routerPageId?: string;
    url?: string;
    method?: MethodType;
    success?: (data?: any, response?: HttpResponse<any>, options?: HttpOptionsArgs) => void;
    error?: (response?: HttpResponse<any>, options?: HttpOptionsArgs) => boolean | void;
    errorCode?: ErrorCodeType | ErrorCodeMapType;
    disabled?: DisabledType;
    global?: boolean;
    alwaysDisabled?: boolean;
    preventRepetition?: boolean;
    preventRepetitionId?: string;
    preventRepetitionRandomId?: string;
    errorAlert?: boolean;
    beforeErrorIntercept?: (response: HttpResponse<any>, options?: HttpOptionsArgs) => boolean;
}
