/// <reference types="iscroll" />
/// <reference types="jquery" />
import { TouchService } from "../service/touch.service";
import { ToolsService } from "../service/tools.service";
/**
 * Created by ouyangjingzhou@jianyi.tech on 2017/1/1.
 */
export interface MyIScrollOptions extends IScrollOptions {
    paging?: boolean;
}
/**
 * 给滚动条一个ID 这个ID会在scroll service中与scroll实例组成键值对保存 目的是可以随时随地拿到scroll实例
 */
export declare const SCROLL_ID_ATTR: string;
/**
 *  页面上面往下拉的事件
 */
export declare const SLIDE_UP: string;
/**
 *  页面下面往上拉的事件
 */
export declare const SLIDE_DOWN: string;
/**
 *  页面上面往下拉的状态变化
 */
export interface SlideUpState {
    pull?: boolean;
    loosen?: boolean;
    loading?: boolean;
    end?: boolean;
}
/**
 *  页面上面往下拉的状态变化事件
 */
export declare const SLIDE_UP_STATE_CHANGE: string;
/**
 *  页面下面往上拉的状态
 */
export interface SlideDownState {
    loading?: boolean;
    period?: boolean;
    none?: boolean;
}
/**
 *  页面下面往上拉的状态变化事件
 */
export declare const SLIDE_DOWN_STATE_CHANGE: string;
export declare class Scroll {
    private host;
    private toolsService;
    private touchService;
    private destroyCallback;
    readonly id: string;
    private disabledFlag;
    private myScroll;
    private slideUp;
    private slideDown;
    private moveTimer;
    private eventArray;
    private _slideDownPeriod;
    slideDownPeriod: boolean;
    constructor(host: JQuery, options: MyIScrollOptions, toolsService: ToolsService, touchService: TouchService, destroyCallback: () => void, slideDownPeriod: boolean);
    destroy(): void;
    on(eventName: string, handler: (event: any) => void): void;
    off(eventName: string, handler: (event: any) => void): void;
    readonly x: number;
    readonly y: number;
    refresh(): void;
    disable(): void;
    enable(): void;
    scrollTo(x: number, y: number, time?: number, relative?: boolean): void;
    scrollToElement(element: HTMLElement, time?: number, offsetX?: number | boolean, offsetY?: number | boolean, easing?: Function): void;
    slideUpTrigger(slideUpState: SlideUpState): void;
    slideDownTrigger(slideDownState: SlideDownState): void;
    private trigger(eventName, data?);
}
