/**
 * Created by ouyangjingzhou@jianyi.tech on 2017/1/1.
 */
import { TransformElement } from "./transform.meta";
/**
 * 坐标
 */
export interface Point {
    x: number;
    y: number;
}
/**
 * 为了避免使用的属性ID和原生重叠 单开一个属性
 */
export interface MyTouchEvent extends TouchEvent {
    touchData: TouchData;
}
/**
 * 自定义touch事件参数
 */
export interface TouchData {
    scale?: number;
    angle?: number;
    direction?: Direction;
    deltaX?: number;
    deltaY?: number;
    transformElement?: TransformElement;
}
/**
 * 方向
 */
export declare enum Direction {
    left = 0,
    right = 1,
    up = 2,
    down = 3,
}
/**
 * touch事件
 */
export interface TouchOption {
    rotate?: (touchEvent: MyTouchEvent) => void;
    touchStart?: (touchEvent: MyTouchEvent) => void;
    multipointStart?: (touchEvent: MyTouchEvent) => void;
    multipointEnd?: (touchEvent: MyTouchEvent) => void;
    pinch?: (touchEvent: MyTouchEvent) => void;
    swipe?: (touchEvent: MyTouchEvent) => void;
    tap?: (touchEvent: MyTouchEvent) => void;
    doubleTap?: (touchEvent: MyTouchEvent) => void;
    longTap?: (touchEvent: MyTouchEvent) => void;
    singleTap?: (touchEvent: MyTouchEvent) => void;
    pressMove?: (touchEvent: MyTouchEvent) => void;
    touchMove?: (touchEvent: MyTouchEvent) => void;
    touchEnd?: (touchEvent: MyTouchEvent) => void;
    touchCancel?: (touchEvent: MyTouchEvent) => void;
}
