/**
 * Created by ouyangjingzhou@jianyi.tech on 2017/1/1.
 */
export interface TransformElement extends HTMLElement {
    matrix3d: IMatrix3D;
    perspective: number;
    translateX: number;
    translateY: number;
    translateZ: number;
    scaleX: number;
    scaleY: number;
    scaleZ: number;
    rotateX: number;
    rotateY: number;
    rotateZ: number;
    skewX: number;
    skewY: number;
    originX: number;
    originY: number;
    originZ: number;
}
export interface IMatrix3D {
    elements: Float32Array | number[];
    set(n11: number, n12: number, n13: number, n14: number, n21: number, n22: number, n23: number, n24: number, n31: number, n32: number, n33: number, n34: number, n41: number, n42: number, n43: number, n44: number): IMatrix3D;
    identity(): IMatrix3D;
    multiplyMatrices(be: Float32Array | number[]): IMatrix3D;
    appendTransform(x: number, y: number, z: number, scaleX: number, scaleY: number, scaleZ: number, rotateX: number, rotateY: number, rotateZ: number, skewX: number, skewY: number, originX: number, originY: number, originZ: number): IMatrix3D;
}
