/// <reference types="jquery" />
/**
 * Created by ouyangjingzhou@jianyi.tech on 2017/1/1.
 */
import { DisabledRest, DisabledType } from "./disabled.meta";
export declare const VALIDATOR_CHANGE_EVENT_NAME: string;
export interface ValidatorParams {
    success: (disabledRest?: DisabledRest) => void;
    error?: () => void;
    dontPositionErrorInput?: boolean;
    disabled?: DisabledType;
}
/**
 * 验证器的控制器 初始化后获得 可以在自定义事件时操作 比如提交按钮时条用validate进行全局验证
 */
export interface ValidatorControl {
    validate: (validatorParams: ValidatorParams) => void;
    destroy: () => void;
    tooltip: (name: string, message: string) => void;
    refresh: (async?: boolean) => void;
}
/**
 * 错误信息
 */
export interface ErrorMessage {
    type: string;
    message: string;
}
export interface ValidatorChange {
    validateType: string;
    handlerType: HandlerType;
}
export declare enum HandlerType {
    hide = 0,
    reValidate = 1,
}
/**
 * 验证表单控件的node类型
 */
export declare const INPUT: string;
export declare const SELECT: string;
export declare const TEXTAREA: string;
export declare const VALIDATOR_SELECTOR_ARRAY: string[];
export declare const JY_VALIDATE: string;
export declare const JY_VALIDATE_TYPE: string;
/**
 * 数字类型验证时可以设置minnumber maxnumber来验证数据大小
 */
export declare const VALIDATE_TYPE_INTEGER: string;
export declare const VALIDATE_TYPE_DOUBLE: string;
export declare const VALIDATE_TYPE_MOBILE: string;
export declare const VALIDATE_TYPE_EMAIL: string;
export declare const VALIDATE_TYPE_ID_CARD: string;
export declare const JY_REQUIRED: string;
export declare const JY_REQUIRED_MESSAGE: string;
export declare const JY_PATTERN: string;
export declare const JY_PATTERN_MESSAGE: string;
export declare const JY_EQUALSLENGTH: string;
export declare const JY_MINLENGTH: string;
export declare const JY_MAXLENGTH: string;
export declare const JY_MINNUMBER: string;
export declare const JY_MAXNUMBER: string;
/**
 * 验证器的类型
 */
export declare const VALIDATE: string;
export declare const VALIDATE_TYPE: string;
export declare const CUSTOM: string;
export declare const LENGTH: string;
export declare const REQUIRED: string;
export declare const PATTERN: string;
export declare const NUMBER_SIZE: string;
/**
 * 错误信息
 */
export declare const CHECK_IN: string;
export declare const ERROR_MESSAGE_REQUIRED: string;
export declare const ERROR_MESSAGE_EQUALSLENGTH: string;
export declare const ERROR_MESSAGE_MINLENGTH: string;
export declare const ERROR_MESSAGE_MAXLENGTH: string;
export declare const ERROR_MESSAGE_MINNUMBER: string;
export declare const ERROR_MESSAGE_MAXNUMBER: string;
export declare const ERROR_MESSAGE_ONLY_INTEGER: string;
export declare const ERROR_MESSAGE_INTEGER_OR_DECIMAL: string;
export declare const ERROR_MESSAGE_EMAIL: string;
export declare const ERROR_MESSAGE_ID_CARD: string;
export declare const ERROR_MESSAGE_MOBILE: string;
export interface CustomValidator {
    name: string;
    keyup?: (value: any) => string;
    blur?: (value: any) => string | Promise<string>;
}
export interface ElementControl {
    name: string;
    element: JQuery;
    selector: string;
    event?: {
        keyup: () => ErrorMessage;
        keyupHandler: (event: JQueryEventObject) => void;
        blur: (callback: (errorMessage: ErrorMessage) => void) => void;
        blurHandler: () => void;
        validatorChangeHandler: (event: JQueryEventObject, validatorChange: ValidatorChange) => void;
    };
    errorMessage?: ErrorMessage;
    errorMap: {
        [index: string]: string;
    };
}
