/// <reference types="jquery" />
/**
 * 百度地图
 */
export declare class BaiduMapService {
    createMap(selector?: string | HTMLElement | JQuery): BDMap;
    createPoint(x: number, y: number): BDPoint;
    createLocalCity(): BDLocalCity;
    createSize(x: number, y: number): BDSize;
    createLocalCityGet(callback: (result: any) => void): void;
    createCenter(point: BDPoint, size: number): void;
    createMarkerImage(imgUrl: string, size: BDSize, origin: BDPoint, anchor: BDPoint): BDMarkerImage;
    createLatLng(latitude: number, longitude: number): BDLatLng;
    createLabel(params: {
        content: string;
        x: number;
        y: number;
    }): BDLabel;
    createMarker(point: BDPoint): BDMarker;
}
export interface BDMap {
    setCenter?: (point: BDPoint, size: number) => void;
    centerAndZoom?: (point: BDPoint, size: number) => void;
    addOverlay?: (marker: BDMarker) => void;
    addEventListener(event: string, handler: () => void): void;
}
export declare class BDPoint {
}
export declare class BDSize {
}
export declare class BDMarkerImage {
}
export declare class BDLatLng {
}
export interface BDLabel {
    setStyle: (params: any) => void;
    addEventListener?: any;
    V?: HTMLElement;
}
export interface BDMarker {
    setLabel: (label: BDLabel) => void;
    V?: HTMLElement;
}
export interface BDLocalCity {
    get: (result: any) => void;
}
