/// <reference types="jquery" />
import { DisabledRest, DisabledType } from "../meta/disabled.meta";
import { ToolsService } from "./tools.service";
import { TimerService } from "./timer.service";
/**
 * 禁用
 */
export declare class DisabledService {
    private toolsService;
    private timerService;
    DISABLED: string;
    constructor(toolsService: ToolsService, timerService: TimerService);
    disabled(value: DisabledType, defaultMessage?: string, alwaysMessage?: string): DisabledRest;
    activateTimerDisabled(id: string, target: HTMLElement | JQuery, callback: () => void): void;
    timerDisabled(id: string, target: HTMLElement | JQuery, time: number, text: string, callback: () => void): void;
    private getDisabledItemArray(value);
    /**
     * 避免循环依赖 所以这边复制了一部分storage的方法 这些方法不对外提供
     */
    private getLocalStorage(id);
    private getLocalStorageObject(id, defaultValue?);
    private setLocalStorage(id, value);
    private setLocalStorageObject(id, value);
    private clearLocalStorage(id);
    private validateId(id);
}
