import { FileInfo, FileUploadParams } from "../meta/file-upload.meta";
import { AlertService } from "./alert.service";
import { ToolsService } from "./tools.service";
import { HttpService } from "./http.service";
import { FileUploadProvider } from "../meta/provider.meta";
export declare class FileUploadService {
    private alertService;
    private toolsService;
    private httpService;
    constructor(alertService: AlertService, toolsService: ToolsService, httpService: HttpService);
    private fileUploadProvider;
    private fileServerBaseUrl;
    private uploadUrl;
    private uploadCompressUrl;
    private getUrl;
    private getInfoUrl;
    setProvider(fileUploadProvider: FileUploadProvider): void;
    getFileUrl(fileId: string): string;
    getFileInfo(fileId: string, callback: (fileInfo: FileInfo) => void): void;
    formatFileSize(fileSize: number): string;
    upload(params: FileUploadParams): void;
    defaultFileIcon: string;
    filePostfixMap: {
        [index: string]: string[];
    };
    getFileIcon(postfix: string): string;
}
