import { HttpClient } from "@angular/common/http";
import { ToolsService } from "./tools.service";
import { DisabledService } from "./disabled.service";
import { HttpOptionsArgs } from "../meta/http.meta";
import { AlertService } from "./alert.service";
import { RouterService } from "./router.service";
import { HttpProvider } from "../meta/provider.meta";
export declare class HttpService {
    private http;
    private toolsService;
    private disabledService;
    private alertService;
    private routerService;
    private routerPageId;
    constructor(http: HttpClient, toolsService: ToolsService, disabledService: DisabledService, alertService: AlertService, routerService: RouterService);
    private baseUrl;
    private httpProvider;
    setProvider(httpProvider: HttpProvider): void;
    get(options: HttpOptionsArgs): void;
    post(options: HttpOptionsArgs): void;
    del(options: HttpOptionsArgs): void;
    put(options: HttpOptionsArgs): void;
    request(options: HttpOptionsArgs): void;
    private defaultRequestOptionsArgs;
    private setDefaultOptions(options);
    private success(response, options);
    private error(response, options);
}
