/// <reference types="jquery" />
import { HttpService } from "./http.service";
import { WeChatService } from "./we-chat.service";
import { AlertService } from "./alert.service";
import { TouchService } from "./touch.service";
import { LocationInfo, Target } from "../meta/location.meta";
import { QQMapService } from "./qq-map.service";
import { LocationProvider } from "../meta/provider.meta";
/**
 * 定位操作 and 绘制地图
 * Created by mingxindong@jianyi.tech on 2017/8/10.
 */
export declare class LocationService {
    private weChatService;
    private alertService;
    private touchService;
    private httpService;
    private qqMapService;
    constructor(weChatService: WeChatService, alertService: AlertService, touchService: TouchService, httpService: HttpService, qqMapService: QQMapService);
    private getLocationCallBackList;
    private _locationInfo;
    private gpsOver;
    private ipOver;
    private gpsPos;
    private ipPos;
    private lastLocation;
    private analysisCityUrl;
    setProvider(locationProvider: LocationProvider): void;
    private initLocation();
    isWx(): boolean;
    private wxInitLocation();
    private getCityInfo(pos);
    getLocation(callbackFn: (event: LocationInfo) => void, update?: boolean): void;
    private location();
    private locationOver();
    private getGpsLocation(callBack);
    private getIpLocation(callback);
    drawTargetMap(target: Target, element: JQuery, callback?: () => void): void;
}
