import { ActivatedRoute, ActivatedRouteSnapshot, CanActivate, NavigationExtras, Params, Router, RouterStateSnapshot } from "@angular/router";
import { CanActivityIntercept, RouterChange } from "../meta/route.meta";
import { ToolsService } from "./tools.service";
/**
 * 路由控制器
 */
export declare class RouterService implements CanActivate {
    private router;
    private activatedRoute;
    private toolsService;
    constructor(router: Router, activatedRoute: ActivatedRoute, toolsService: ToolsService);
    navigate(commands: any[], extras?: NavigationExtras): void;
    params: Params;
    queryParams: Params;
    readonly url: string;
    getUrl(route: ActivatedRouteSnapshot): string;
    private readonly currentActivatedRoute;
    private canActivateInterceptList;
    private canActivateInterceptAndDestroyList;
    canActivate(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Promise<boolean> | boolean;
    addCanActivateIntercept(canActivateIntercept: CanActivityIntercept): void;
    removeCanActivateIntercept(canActivateIntercept: CanActivityIntercept): void;
    addCanActivateInterceptAndDestroy(canActivateIntercept: CanActivityIntercept): void;
    removeCanActivateInterceptAndDestroy(canActivateIntercept: CanActivityIntercept): void;
    private routerChangeList;
    addRouterChange(routerChange: RouterChange): void;
    removeRouterChange(routerChange: RouterChange): void;
    private routerChangeAndDestroyList;
    addRouterChangeAndDestroy(routerChange: RouterChange): void;
    removeRouterChangeAndDestroy(routerChange: RouterChange): void;
    private routerChange(route, state);
}
