import { Address, AreaData, AreaParams } from "../meta/select-area.meta";
import { StorageService } from "./storage.service";
import { HttpService } from "./http.service";
import { ModalService } from "./modal.service";
import { SelectAreaProvider } from "../meta/provider.meta";
/**
 * 地区操作
 * Created by mingxindong@jianyi.tech on 2017/5/22.
 */
export declare class SelectAreaService {
    private httpService;
    private storageService;
    private modalService;
    constructor(httpService: HttpService, storageService: StorageService, modalService: ModalService);
    private areaUrl;
    setProvider(areaProvider: SelectAreaProvider): void;
    private areaData;
    getAreaData(): Promise<AreaData>;
    translateCode(provinceCode: string, cityCode: string, districtCode: string, callBack?: (addressItem: Address) => void): void;
    openingFlag: boolean;
    open(areaParams: AreaParams): void;
}
