/// <reference types="jquery" />
import { BrowserService } from "./browser.service";
/**
 * 核心工具类 所有独立的小方法都在这里
 */
export declare class ToolsService {
    private browserService;
    private $window;
    constructor(browserService: BrowserService);
    init(): void;
    private _stringWidthSpan;
    readonly stringWidthSpan: JQuery;
    /**
     * 获取字符串长度
     */
    getStringWidth(value: string, fontSize?: string): number;
    /**
     * 限定宽度后的最大长度
     */
    getMaxWidthLimit(value: string, maxWidth: number, fontSize?: string): number;
    /**
     * 获取px单位的number值
     */
    getPxNumber(value: string): number;
    /**
     * 获取rem单位的number值
     */
    getRemNumber(value: string): number;
    private randomMap;
    /**
     * 获取随机数
     */
    getRandomId(): string;
    /**
     * 判断是否为空
     */
    isNull(value: any): boolean;
    /**
     * 判断是否不为空
     */
    isNotNull(value: any): boolean;
    /**
     * 转int
     */
    parseInt(s: string, radix?: number): number;
    /**
     * 转float
     */
    parseFloat(s: string): number;
    /**
     * 获取字符串
     */
    getString(value: any): string;
    /**
     * 判断jquery对象是否为空 如果没有长度则为空
     */
    jqNotNull(value: JQuery): JQuery;
    /**
     * 替换{0}{1}参数
     */
    replaceArgs(originalValue: string, args: string | string[]): string;
    /**
     * 替换文字
     */
    replaceAll(originalValue: string, value1: string, value2: string): string;
    /**
     * 移开当前光标
     */
    focusOut(): void;
    /**
     * 设置当前title
     */
    documentTitle: string;
    /**
     * rem转px
     */
    remConvertToPx(rem: string | number): number;
    /**
     * px转rem
     */
    pxConvertToRem(px: string | number): number;
    getFullUrl(baseUrl: string, url: string): string;
}
