import { MyTouchEvent, TouchOption } from "../meta/touch.meta";
import { ToolsService } from "./tools.service";
/**
 * Created by Jannsen on 2017/5/9.
 * fork by https://github.com/AlloyTeam/AlloyFinger
 */
export declare class TouchService {
    private toolsService;
    private _lock;
    lock: boolean;
    constructor(toolsService: ToolsService);
    init(): void;
    add(host: HTMLElement, touchOption: TouchOption): TouchManager;
}
export declare class HandlerAdmin {
    private host;
    private touchService;
    handlers: ((touchEvent: MyTouchEvent) => void)[];
    constructor(host: HTMLElement, touchService: TouchService);
    add(handler: (touchEvent: MyTouchEvent) => void): void;
    del(handler?: (touchEvent: MyTouchEvent) => void): void;
    dispatch(touchEvent: MyTouchEvent): void;
}
export declare class TouchManager {
    private host;
    private touchService;
    private rotate;
    private touchStart;
    private multipointStart;
    private multipointEnd;
    private pinch;
    private swipe;
    private tap;
    private doubleTap;
    private longTap;
    private singleTap;
    private pressMove;
    private touchMove;
    private touchEnd;
    private touchCancel;
    private getLen(point);
    private dot(point1, point2);
    private getAngle(point1, point2);
    private cross(point1, point2);
    private getRotateAngle(point1, point2);
    private wrapFunc(host, handler);
    constructor(host: HTMLElement, touchOption: TouchOption, touchService: TouchService);
    private scale;
    private last;
    private now;
    private x1;
    private y1;
    private x2;
    private y2;
    private delta;
    private pinchStartLen;
    private preTapPosition;
    private preV;
    private isDoubleTap;
    private swipeTimeout;
    private singleTapTimeout;
    private tapTimeout;
    private longTapTimeout;
    private start(event);
    private move(event);
    private isNull(value);
    private end(event);
    private cancel(event);
    private _cancelLongTap();
    private _cancelSingleTap();
    private _swipeDirection(x1, x2, y1, y2);
    destroy(): void;
}
