/// <reference types="jquery" />
import { IdCardService } from "./id-card.service";
import { ToolsService } from "./tools.service";
import { CustomValidator, ValidatorControl } from "../meta/validator.meta";
import { ScrollService } from "./scroll.service";
import { DisabledService } from "./disabled.service";
/**
 * 验证器
 */
export declare class ValidatorService {
    private toolsService;
    private idCardService;
    private scrollService;
    private disabledService;
    constructor(toolsService: ToolsService, idCardService: IdCardService, scrollService: ScrollService, disabledService: DisabledService);
    integerReg: RegExp;
    doubleReg: RegExp;
    mobileReg: RegExp;
    email: RegExp;
    isInteger(text: string): boolean;
    isDouble(text: string): boolean;
    isMobile(text: string): boolean;
    isEmail(text: string): boolean;
    isIdCard(text: string): boolean;
    private destroy(elementControl, elementControlArray);
    private initNodeData(form, elementControlArray, selector, errorMap, refresh);
    private tooltipMessage(elementControl, errorMessage);
    private initHandler(elementControl, customValidatorArray);
    private removeHandler(elementControl);
    init(form: HTMLElement | JQuery, errorMap: {
        [index: string]: string;
    }, async?: boolean, customValidator?: CustomValidator | CustomValidator[]): ValidatorControl;
}
