import { Location } from "../meta/we-chat.meta";
import { HttpService } from "./http.service";
import { AlertService } from "./alert.service";
import { BrowserService } from "./browser.service";
import { WeChatProvider } from "../meta/provider.meta";
/**
 * 微信接口
 */
export declare class WeChatService {
    private httpService;
    private alertService;
    private browserService;
    private weixinJSBridgeInitCallback;
    private weixinJSBridge;
    constructor(httpService: HttpService, alertService: AlertService, browserService: BrowserService);
    init(): void;
    weChatConfigUrl: string;
    setProvider(weChatProvider: WeChatProvider): void;
    private disabledFontSizeChanges();
    closeWindow(): void;
    addErrorFlag: boolean;
    errorConfigCallback: (data: any) => void;
    configQueue: any[];
    private configError(data);
    private executeConfigQueue();
    config(params: {
        debug: boolean;
        jsApiList: string[];
    }, callback: () => void, errorCount?: number): void;
    readySuccessCallbackList: (() => void)[];
    readySuccess: boolean;
    ready(callback: () => void): void;
    getLocation(params: {
        type: string;
        success: (location: Location) => void;
        fail: (data: any) => void;
    }): void;
    onMenuShareTimeline(params: {
        title: string;
        desc: string;
        link: string;
        imgUrl: string;
        trigger?: (res: any) => void;
        success?: (res: any) => void;
        cancel?: (res: any) => void;
        fail?: (res: any) => void;
    }): void;
    onMenuShareAppMessage(params: {
        title: string;
        desc: string;
        link: string;
        imgUrl?: string;
        trigger?: (res: any) => void;
        success?: (res: any) => void;
        cancel?: (res: any) => void;
        fail?: (res: any) => void;
    }): void;
    hideMenuItems(params: {
        menuList: string[];
    }): void;
    getBrandWCPayRequest(params: {
        appId: string;
        nonceStr: string;
        package: string;
        paySign: string;
        signType: string;
        timeStamp: string;
    }, callback: (res: {
        err_msg: string;
    }) => void): void;
}
